	elseif (indx.lt.11) then
	  if (indx.eq.1) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_SSSL )
!endif
	  elseif (indx.eq.2) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_SSSF )
!endif
	  elseif (indx.eq.3) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_SSSD )
!endif
	  elseif (indx.eq.4) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_CSCL )
!endif
	  elseif (indx.eq.5) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_CSCF )
!endif
	  elseif (indx.eq.6) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_CSCD )
!endif
	  elseif (indx.eq.7) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_CCCL )
!endif
	  elseif (indx.eq.8) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_CCCF )
!endif
	  elseif (indx.eq.9) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_CCCD )
!endif
	  elseif (indx.eq.10) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_VVVL )
!endif
	  endif
	elseif (indx.lt.21) then
	  if (indx.eq.11) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_VVVF )
!endif
	  elseif (indx.eq.12) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ADD_VVVD )
!endif
	  elseif (indx.eq.13) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_SSSL )
!endif
	  elseif (indx.eq.14) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_SSSF )
!endif
	  elseif (indx.eq.15) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_SSSD )
!endif
	  elseif (indx.eq.16) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_CSCL )
!endif
	  elseif (indx.eq.17) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_CSCF )
!endif
	  elseif (indx.eq.18) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_CSCD )
!endif
	  elseif (indx.eq.19) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_CCCL )
!endif
	  elseif (indx.eq.20) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_CCCF )
!endif
	  endif
	elseif (indx.lt.31) then
	  if (indx.eq.21) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_CCCD )
!endif
	  elseif (indx.eq.22) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_VVVL )
!endif
	  elseif (indx.eq.23) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_VVVF )
!endif
	  elseif (indx.eq.24) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUB_VVVD )
!endif
	  elseif (indx.eq.25) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_SSSL )
!endif
	  elseif (indx.eq.26) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_SSSF )
!endif
	  elseif (indx.eq.27) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_SSSD )
!endif
	  elseif (indx.eq.28) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_CSCF )
!endif
	  elseif (indx.eq.29) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_CSCD )
!endif
	  elseif (indx.eq.30) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_CCCF )
!endif
	  endif
	elseif (indx.lt.41) then
	  if (indx.eq.31) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_CCCD )
!endif
	  elseif (indx.eq.32) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_VSVF )
!endif
	  elseif (indx.eq.33) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_VSVD )
!endif
	  elseif (indx.eq.34) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_VVVF )
!endif
	  elseif (indx.eq.35) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUL_VVVD )
!endif
	  elseif (indx.eq.36) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DOT_VVSF )
!endif
	  elseif (indx.eq.37) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DOT_VVSD )
!endif
	  elseif (indx.eq.38) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MULADD_SSSSL )
!endif
	  elseif (indx.eq.39) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MULADD_SSSSF )
!endif
	  elseif (indx.eq.40) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MULADD_SSSSD )
!endif
	  endif
	elseif (indx.lt.51) then
	  if (indx.eq.41) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MULADD_CCCCF )
!endif
	  elseif (indx.eq.42) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MULADD_CCCCD )
!endif
	  elseif (indx.eq.43) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_SSSL )
!endif
	  elseif (indx.eq.44) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_SSSF )
!endif
	  elseif (indx.eq.45) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_SSSD )
!endif
	  elseif (indx.eq.46) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_CSCF )
!endif
	  elseif (indx.eq.47) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_CSCD )
!endif
	  elseif (indx.eq.48) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_CCCF )
!endif
	  elseif (indx.eq.49) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DIV_CCCD )
!endif
	  elseif (indx.eq.50) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ABS_SSF )
!endif
	  endif
	elseif (indx.lt.61) then
	  if (indx.eq.51) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ABS_SSD )
!endif
	  elseif (indx.eq.52) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ABS_CCF )
!endif
	  elseif (indx.eq.53) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ABS_CCD )
!endif
	  elseif (indx.eq.54) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_CONJ_CCF )
!endif
	  elseif (indx.eq.55) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_CONJ_CCD )
!endif
	  elseif (indx.eq.56) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_CMUL_CCCF )
!endif
	  elseif (indx.eq.57) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_CMUL_CCCD )
!endif
	  elseif (indx.eq.58) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUX_SSCL )
!endif
	  elseif (indx.eq.59) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUX_SSCF )
!endif
	  elseif (indx.eq.60) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MUX_SSCD )
!endif
	  endif
	elseif (indx.lt.71) then
	  if (indx.eq.61) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_VMUX_SSSVL )
!endif
	  elseif (indx.eq.62) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_VMUX_SSSVF )
!endif
	  elseif (indx.eq.63) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_VMUX_SSSVD )
!endif
	  elseif (indx.eq.64) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAG_CSF )
!endif
	  elseif (indx.eq.65) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAG_CSD )
!endif
	  elseif (indx.eq.66) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAG_VSF )
!endif
	  elseif (indx.eq.67) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAG_VSD )
!endif
	  elseif (indx.eq.68) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAG2_CSF )
!endif
	  elseif (indx.eq.69) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAG2_CSD )
!endif
	  elseif (indx.eq.70) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_PHASE_CSF )
!endif
	  endif
	elseif (indx.lt.81) then
	  if (indx.eq.71) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_PHASE_CSD )
!endif
	  elseif (indx.eq.72) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_PHASED_CSF )
!endif
	  elseif (indx.eq.73) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_PHASED_CSD )
!endif
	  elseif (indx.eq.74) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POLAR_CCF )
!endif
	  elseif (indx.eq.75) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POLAR_CCD )
!endif
	  elseif (indx.eq.76) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LN_SSF )
!endif
	  elseif (indx.eq.77) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LN_SSD )
!endif
	  elseif (indx.eq.78) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LOG_SSF )
!endif
	  elseif (indx.eq.79) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LOG_SSD )
!endif
	  elseif (indx.eq.80) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EXP_SSF )
!endif
	  endif
	elseif (indx.lt.91) then
	  if (indx.eq.81) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EXP_SSD )
!endif
	  elseif (indx.eq.82) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POW_SSSF )
!endif
	  elseif (indx.eq.83) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POW_SSSD )
!endif
	  elseif (indx.eq.84) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NPOW_SSSF )
!endif
	  elseif (indx.eq.85) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NPOW_SSSD )
!endif
	  elseif (indx.eq.86) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SQRT_SSF )
!endif
	  elseif (indx.eq.87) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SQRT_SSD )
!endif
	  elseif (indx.eq.88) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_COS_SSF )
!endif
	  elseif (indx.eq.89) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_COS_SSD )
!endif
	  elseif (indx.eq.90) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SIN_SSF )
!endif
	  endif
	elseif (indx.lt.101) then
	  if (indx.eq.91) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SIN_SSD )
!endif
	  elseif (indx.eq.92) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_TAN_SSF )
!endif
	  elseif (indx.eq.93) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_TAN_SSD )
!endif
	  elseif (indx.eq.94) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ASIN_SSF )
!endif
	  elseif (indx.eq.95) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ASIN_SSD )
!endif
	  elseif (indx.eq.96) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ACOS_SSF )
!endif
	  elseif (indx.eq.97) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ACOS_SSD )
!endif
	  elseif (indx.eq.98) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAN_SSF )
!endif
	  elseif (indx.eq.99) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAN_SSD )
!endif
	  elseif (indx.eq.100) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAN2_SSSF )
!endif
	  endif
	elseif (indx.lt.111) then
	  if (indx.eq.101) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAN2_SSSD )
!endif
	  elseif (indx.eq.102) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_COSD_SSF )
!endif
	  elseif (indx.eq.103) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_COSD_SSD )
!endif
	  elseif (indx.eq.104) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SIND_SSF )
!endif
	  elseif (indx.eq.105) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SIND_SSD )
!endif
	  elseif (indx.eq.106) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_TAND_SSF )
!endif
	  elseif (indx.eq.107) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_TAND_SSD )
!endif
	  elseif (indx.eq.108) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ASIND_SSF )
!endif
	  elseif (indx.eq.109) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ASIND_SSD )
!endif
	  elseif (indx.eq.110) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ACOSD_SSF )
!endif
	  endif
	elseif (indx.lt.121) then
	  if (indx.eq.111) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ACOSD_SSD )
!endif
	  elseif (indx.eq.112) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAND_SSF )
!endif
	  elseif (indx.eq.113) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAND_SSD )
!endif
	  elseif (indx.eq.114) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAN2D_SSSF )
!endif
	  elseif (indx.eq.115) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ATAN2D_SSSD )
!endif
	  elseif (indx.eq.116) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOV_SSL )
!endif
	  elseif (indx.eq.117) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOV_SSF )
!endif
	  elseif (indx.eq.118) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOV_SSD )
!endif
	  elseif (indx.eq.119) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOV_CCF )
!endif
	  elseif (indx.eq.120) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOV_CCD )
!endif
	  endif
	elseif (indx.lt.131) then
	  if (indx.eq.121) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_SSSL )
!endif
	  elseif (indx.eq.122) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_SSSF )
!endif
	  elseif (indx.eq.123) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_SSSD )
!endif
	  elseif (indx.eq.124) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_CCCF )
!endif
	  elseif (indx.eq.125) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_CCCD )
!endif
	  elseif (indx.eq.126) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_VVVF )
!endif
	  elseif (indx.eq.127) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_DUPE_VVVD )
!endif
	  elseif (indx.eq.128) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_SSSSL )
!endif
	  elseif (indx.eq.129) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_SSSSF )
!endif
	  elseif (indx.eq.130) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_SSSSD )
!endif
	  endif
	elseif (indx.lt.141) then
	  if (indx.eq.131) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_CCCCF )
!endif
	  elseif (indx.eq.132) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_CCCCD )
!endif
	  elseif (indx.eq.133) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_VVVVF )
!endif
	  elseif (indx.eq.134) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SWAP_VVVVD )
!endif
	  elseif (indx.eq.135) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_SSSSL )
!endif
	  elseif (indx.eq.136) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_SSSSF )
!endif
	  elseif (indx.eq.137) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_SSSSD )
!endif
	  elseif (indx.eq.138) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_CCSCF )
!endif
	  elseif (indx.eq.139) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_CCSCD )
!endif
	  elseif (indx.eq.140) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_VVSVF )
!endif
	  endif
	elseif (indx.lt.151) then
	  if (indx.eq.141) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SELECT_VVSVD )
!endif
	  elseif (indx.eq.142) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MIN_SSSL )
!endif
	  elseif (indx.eq.143) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MIN_SSSF )
!endif
	  elseif (indx.eq.144) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MIN_SSSD )
!endif
	  elseif (indx.eq.145) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAX_SSSL )
!endif
	  elseif (indx.eq.146) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAX_SSSF )
!endif
	  elseif (indx.eq.147) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MAX_SSSD )
!endif
	  elseif (indx.eq.148) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOD_SSSL )
!endif
	  elseif (indx.eq.149) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOD_SSSF )
!endif
	  elseif (indx.eq.150) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_MOD_SSSD )
!endif
	  endif
	elseif (indx.lt.161) then
	  if (indx.eq.151) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_FIX_SSF )
!endif
	  elseif (indx.eq.152) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_FIX_SSD )
!endif
	  elseif (indx.eq.153) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ROUND_SSF )
!endif
	  elseif (indx.eq.154) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_ROUND_SSD )
!endif
	  elseif (indx.eq.155) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUM_SSL )
!endif
	  elseif (indx.eq.156) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUM_SSF )
!endif
	  elseif (indx.eq.157) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUM_SSD )
!endif
	  elseif (indx.eq.158) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUM_CCF )
!endif
	  elseif (indx.eq.159) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUM_CCD )
!endif
	  elseif (indx.eq.160) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUMS_SSSL )
!endif
	  endif
	elseif (indx.lt.171) then
	  if (indx.eq.161) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUMS_SSSF )
!endif
	  elseif (indx.eq.162) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_SUMS_SSSD )
!endif
	  elseif (indx.eq.163) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NORM_SSF )
!endif
	  elseif (indx.eq.164) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NORM_SSD )
!endif
	  elseif (indx.eq.165) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_FFT_SCF )
!endif
	  elseif (indx.eq.166) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_FFT_CCF )
!endif
	  elseif (indx.eq.167) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_IFFT_CSF )
!endif
	  elseif (indx.eq.168) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_IFFT_CCF )
!endif
	  elseif (indx.eq.169) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_OR_SSSL )
!endif
	  elseif (indx.eq.170) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_OR_SSSF )
!endif
	  endif
	elseif (indx.lt.181) then
	  if (indx.eq.171) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_OR_SSSD )
!endif
	  elseif (indx.eq.172) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_AND_SSSL )
!endif
	  elseif (indx.eq.173) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_AND_SSSF )
!endif
	  elseif (indx.eq.174) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_AND_SSSD )
!endif
	  elseif (indx.eq.175) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_XOR_SSSL )
!endif
	  elseif (indx.eq.176) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_XOR_SSSF )
!endif
	  elseif (indx.eq.177) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_XOR_SSSD )
!endif
	  elseif (indx.eq.178) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EQV_SSSL )
!endif
	  elseif (indx.eq.179) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EQV_SSSF )
!endif
	  elseif (indx.eq.180) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EQV_SSSD )
!endif
	  endif
	elseif (indx.lt.191) then
	  if (indx.eq.181) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LT_SSSL )
!endif
	  elseif (indx.eq.182) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LT_SSSF )
!endif
	  elseif (indx.eq.183) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LT_SSSD )
!endif
	  elseif (indx.eq.184) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LE_SSSL )
!endif
	  elseif (indx.eq.185) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LE_SSSF )
!endif
	  elseif (indx.eq.186) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_LE_SSSD )
!endif
	  elseif (indx.eq.187) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_GT_SSSL )
!endif
	  elseif (indx.eq.188) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_GT_SSSF )
!endif
	  elseif (indx.eq.189) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_GT_SSSD )
!endif
	  elseif (indx.eq.190) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_GE_SSSL )
!endif
	  endif
	elseif (indx.lt.201) then
	  if (indx.eq.191) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_GE_SSSF )
!endif
	  elseif (indx.eq.192) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_GE_SSSD )
!endif
	  elseif (indx.eq.193) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EQ_SSSL )
!endif
	  elseif (indx.eq.194) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EQ_SSSF )
!endif
	  elseif (indx.eq.195) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_EQ_SSSD )
!endif
	  elseif (indx.eq.196) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NE_SSSL )
!endif
	  elseif (indx.eq.197) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NE_SSSF )
!endif
	  elseif (indx.eq.198) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_NE_SSSD )
!endif
	  elseif (indx.eq.199) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_BOR_SSSL )
!endif
	  elseif (indx.eq.200) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_BAND_SSSL )
!endif
	  endif
	elseif (indx.lt.211) then
	  if (indx.eq.201) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_BXOR_SSSL )
!endif
	  elseif (indx.eq.202) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_BNOT_SSL )
!endif
	  elseif (indx.eq.203) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POWER2_SSF )
!endif
	  elseif (indx.eq.204) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POWER2_SSD )
!endif
	  elseif (indx.eq.205) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POWER2L_SSF )
!endif
	  elseif (indx.eq.206) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_POWER2L_SSD )
!endif
	  elseif (indx.eq.207) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_RAND_SF )
!endif
	  elseif (indx.eq.208) then
!if _PGF77
!
!else
	    M$AOP_ADDR = %loc( M$AOP_RAND_SD )
!endif
	  endif
